PACTREE(8)

NAME
pactree - package dependency tree viewer

SYNOPSIS

pactree [options] package

DESCRIPTION

Pactree produces a dependency tree for a package.

By default, a tree-like output is generated, but with the --graph option, a Graphviz description is generated.

OPTIONS

-a, --ascii
    Use ASCII characters for tree formatting. By default, pactree will use Unicode line drawing characters if it is able to detect that the locale supports them.

-b, --dbpath
    Specify an alternative database location.

-c, --color
    Colorize output.

-d, --depth <num>
    Limits the number of levels of dependency to show. A zero means show the named package only, one shows the packages that are directly required.

-g, --graph
    Generate a Graphviz description. If this option is given, the --color and --linear options are ignored.

-h, --help
    Output syntax and command-line options.

-l, --linear
    Prints package names at the start of each line, one per line.

-r, --reverse
    Show packages that depend on the named package.

-s, --sync
    Read package data from sync databases instead of local database.

-u, --unique
    List dependent packages once. Implies --linear.

--config <file>
    Specify an alternate pacman configuration file.

SEE ALSO

pacman(8), pacman.conf(5), makepkg(8)

BUGS

Bugs? You must be kidding; there are no bugs in this software. But if we happen to be wrong, send us an email with as much detail as possible to pacman-contrib@lists.archlinux.org.

AUTHORS

Current maintainers:

    • Johannes Löthberg <johannes@kyriasis.com>

    • Daniel M. Capella <polyzen@archlinux.info>

For additional contributors, use git shortlog -s on the pacman-contrib.git repository.